%define upstream_name	 Kwiki-Archive-Rcs
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Kwiki Page Archival Using RCS
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Kwiki)
BuildArch:	noarch

requires:	rcs

%description
Version control using RCS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*

%changelog
* Mon Jan 24 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 37468
- mageia rebuild
- imported package perl-Kwiki-Archive-Rcs


* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 415009
- update to 0.16

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.0
+ Revision: 403370
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.15-7mdv2009.0
+ Revision: 241568
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-5mdv2008.0
+ Revision: 86514
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-4mdv2007.0
- Rebuild

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-3mdk
- better sources URL
- better buildrequires syntax

* Fri Apr 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-2mdk 
- requires rcs

* Mon Apr 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk 
- first mandriva release

